Index: branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Communication/3.3/Service References/ServerService/Reference.cs
===================================================================
--- branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Communication/3.3/Service References/ServerService/Reference.cs	(revision 4105)
+++ branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Communication/3.3/Service References/ServerService/Reference.cs	(revision 4107)
@@ -1887,5 +675,5 @@
         
         private object[] OnEndSendJob(System.IAsyncResult result) {
-            HeuristicLab.Hive.Client.Communication.ServerService.ResponseJob retVal = this.EndSendJob(result);
+            HeuristicLab.Hive.Contracts.ResponseJob retVal = this.EndSendJob(result);
             return new object[] {
                     retVal};
@@ -1917,5 +705,5 @@
         }
         
-        public HeuristicLab.Hive.Client.Communication.ServerService.ResponseResultReceived StoreFinishedJobResult(System.Guid clientId, System.Guid jobId, byte[] result, double percentage, System.Exception exception) {
+        public HeuristicLab.Hive.Contracts.ResponseResultReceived StoreFinishedJobResult(System.Guid clientId, System.Guid jobId, byte[] result, double percentage, System.Exception exception) {
             return base.Channel.StoreFinishedJobResult(clientId, jobId, result, percentage, exception);
         }
@@ -1927,5 +715,5 @@
         
         [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
-        public HeuristicLab.Hive.Client.Communication.ServerService.ResponseResultReceived EndStoreFinishedJobResult(System.IAsyncResult result) {
+        public HeuristicLab.Hive.Contracts.ResponseResultReceived EndStoreFinishedJobResult(System.IAsyncResult result) {
             return base.Channel.EndStoreFinishedJobResult(result);
         }
@@ -1941,5 +729,5 @@
         
         private object[] OnEndStoreFinishedJobResult(System.IAsyncResult result) {
-            HeuristicLab.Hive.Client.Communication.ServerService.ResponseResultReceived retVal = this.EndStoreFinishedJobResult(result);
+            HeuristicLab.Hive.Contracts.ResponseResultReceived retVal = this.EndStoreFinishedJobResult(result);
             return new object[] {
                     retVal};
@@ -1975,5 +763,5 @@
         }
         
-        public HeuristicLab.Hive.Client.Communication.ServerService.ResponseResultReceived ProcessSnapshot(System.Guid clientId, System.Guid jobId, byte[] result, double percentage, System.Exception exception) {
+        public HeuristicLab.Hive.Contracts.ResponseResultReceived ProcessSnapshot(System.Guid clientId, System.Guid jobId, byte[] result, double percentage, System.Exception exception) {
             return base.Channel.ProcessSnapshot(clientId, jobId, result, percentage, exception);
         }
@@ -1985,5 +773,5 @@
         
         [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
-        public HeuristicLab.Hive.Client.Communication.ServerService.ResponseResultReceived EndProcessSnapshot(System.IAsyncResult result) {
+        public HeuristicLab.Hive.Contracts.ResponseResultReceived EndProcessSnapshot(System.IAsyncResult result) {
             return base.Channel.EndProcessSnapshot(result);
         }
@@ -1999,5 +787,5 @@
         
         private object[] OnEndProcessSnapshot(System.IAsyncResult result) {
-            HeuristicLab.Hive.Client.Communication.ServerService.ResponseResultReceived retVal = this.EndProcessSnapshot(result);
+            HeuristicLab.Hive.Contracts.ResponseResultReceived retVal = this.EndProcessSnapshot(result);
             return new object[] {
                     retVal};
@@ -2033,5 +821,5 @@
         }
         
-        public HeuristicLab.Hive.Client.Communication.ServerService.Response Logout(System.Guid clientId) {
+        public HeuristicLab.Hive.Contracts.Response Logout(System.Guid clientId) {
             return base.Channel.Logout(clientId);
         }
@@ -2043,5 +831,5 @@
         
         [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
-        public HeuristicLab.Hive.Client.Communication.ServerService.Response EndLogout(System.IAsyncResult result) {
+        public HeuristicLab.Hive.Contracts.Response EndLogout(System.IAsyncResult result) {
             return base.Channel.EndLogout(result);
         }
@@ -2053,5 +841,5 @@
         
         private object[] OnEndLogout(System.IAsyncResult result) {
-            HeuristicLab.Hive.Client.Communication.ServerService.Response retVal = this.EndLogout(result);
+            HeuristicLab.Hive.Contracts.Response retVal = this.EndLogout(result);
             return new object[] {
                     retVal};
@@ -2083,5 +871,5 @@
         }
         
-        public HeuristicLab.Hive.Client.Communication.ServerService.Response IsJobStillNeeded(System.Guid jobId) {
+        public HeuristicLab.Hive.Contracts.Response IsJobStillNeeded(System.Guid jobId) {
             return base.Channel.IsJobStillNeeded(jobId);
         }
@@ -2093,5 +881,5 @@
         
         [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
-        public HeuristicLab.Hive.Client.Communication.ServerService.Response EndIsJobStillNeeded(System.IAsyncResult result) {
+        public HeuristicLab.Hive.Contracts.Response EndIsJobStillNeeded(System.IAsyncResult result) {
             return base.Channel.EndIsJobStillNeeded(result);
         }
@@ -2103,5 +891,5 @@
         
         private object[] OnEndIsJobStillNeeded(System.IAsyncResult result) {
-            HeuristicLab.Hive.Client.Communication.ServerService.Response retVal = this.EndIsJobStillNeeded(result);
+            HeuristicLab.Hive.Contracts.Response retVal = this.EndIsJobStillNeeded(result);
             return new object[] {
                     retVal};
@@ -2133,25 +921,25 @@
         }
         
-        public HeuristicLab.Hive.Client.Communication.ServerService.ResponsePlugin SendPlugins(HeuristicLab.Hive.Client.Communication.ServerService.HivePluginInfoDto[] pluginList) {
+        public HeuristicLab.Hive.Contracts.ResponsePlugin SendPlugins(HeuristicLab.Hive.Contracts.BusinessObjects.HivePluginInfoDto[] pluginList) {
             return base.Channel.SendPlugins(pluginList);
         }
         
         [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
-        public System.IAsyncResult BeginSendPlugins(HeuristicLab.Hive.Client.Communication.ServerService.HivePluginInfoDto[] pluginList, System.AsyncCallback callback, object asyncState) {
+        public System.IAsyncResult BeginSendPlugins(HeuristicLab.Hive.Contracts.BusinessObjects.HivePluginInfoDto[] pluginList, System.AsyncCallback callback, object asyncState) {
             return base.Channel.BeginSendPlugins(pluginList, callback, asyncState);
         }
         
         [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
-        public HeuristicLab.Hive.Client.Communication.ServerService.ResponsePlugin EndSendPlugins(System.IAsyncResult result) {
+        public HeuristicLab.Hive.Contracts.ResponsePlugin EndSendPlugins(System.IAsyncResult result) {
             return base.Channel.EndSendPlugins(result);
         }
         
         private System.IAsyncResult OnBeginSendPlugins(object[] inValues, System.AsyncCallback callback, object asyncState) {
-            HeuristicLab.Hive.Client.Communication.ServerService.HivePluginInfoDto[] pluginList = ((HeuristicLab.Hive.Client.Communication.ServerService.HivePluginInfoDto[])(inValues[0]));
+            HeuristicLab.Hive.Contracts.BusinessObjects.HivePluginInfoDto[] pluginList = ((HeuristicLab.Hive.Contracts.BusinessObjects.HivePluginInfoDto[])(inValues[0]));
             return this.BeginSendPlugins(pluginList, callback, asyncState);
         }
         
         private object[] OnEndSendPlugins(System.IAsyncResult result) {
-            HeuristicLab.Hive.Client.Communication.ServerService.ResponsePlugin retVal = this.EndSendPlugins(result);
+            HeuristicLab.Hive.Contracts.ResponsePlugin retVal = this.EndSendPlugins(result);
             return new object[] {
                     retVal};
@@ -2165,9 +953,9 @@
         }
         
-        public void SendPluginsAsync(HeuristicLab.Hive.Client.Communication.ServerService.HivePluginInfoDto[] pluginList) {
+        public void SendPluginsAsync(HeuristicLab.Hive.Contracts.BusinessObjects.HivePluginInfoDto[] pluginList) {
             this.SendPluginsAsync(pluginList, null);
         }
         
-        public void SendPluginsAsync(HeuristicLab.Hive.Client.Communication.ServerService.HivePluginInfoDto[] pluginList, object userState) {
+        public void SendPluginsAsync(HeuristicLab.Hive.Contracts.BusinessObjects.HivePluginInfoDto[] pluginList, object userState) {
             if ((this.onBeginSendPluginsDelegate == null)) {
                 this.onBeginSendPluginsDelegate = new BeginOperationDelegate(this.OnBeginSendPlugins);
@@ -2183,5 +971,5 @@
         }
         
-        public HeuristicLab.Hive.Client.Communication.ServerService.ResponseCalendar GetCalendar(System.Guid clientId) {
+        public HeuristicLab.Hive.Contracts.ResponseCalendar GetCalendar(System.Guid clientId) {
             return base.Channel.GetCalendar(clientId);
         }
@@ -2193,5 +981,5 @@
         
         [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
-        public HeuristicLab.Hive.Client.Communication.ServerService.ResponseCalendar EndGetCalendar(System.IAsyncResult result) {
+        public HeuristicLab.Hive.Contracts.ResponseCalendar EndGetCalendar(System.IAsyncResult result) {
             return base.Channel.EndGetCalendar(result);
         }
@@ -2203,5 +991,5 @@
         
         private object[] OnEndGetCalendar(System.IAsyncResult result) {
-            HeuristicLab.Hive.Client.Communication.ServerService.ResponseCalendar retVal = this.EndGetCalendar(result);
+            HeuristicLab.Hive.Contracts.ResponseCalendar retVal = this.EndGetCalendar(result);
             return new object[] {
                     retVal};
@@ -2233,15 +1021,15 @@
         }
         
-        public HeuristicLab.Hive.Client.Communication.ServerService.Response SetCalendarStatus(System.Guid clientId, HeuristicLab.Hive.Client.Communication.ServerService.CalendarState state) {
+        public HeuristicLab.Hive.Contracts.Response SetCalendarStatus(System.Guid clientId, HeuristicLab.Hive.Contracts.BusinessObjects.CalendarState state) {
             return base.Channel.SetCalendarStatus(clientId, state);
         }
         
         [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
-        public System.IAsyncResult BeginSetCalendarStatus(System.Guid clientId, HeuristicLab.Hive.Client.Communication.ServerService.CalendarState state, System.AsyncCallback callback, object asyncState) {
+        public System.IAsyncResult BeginSetCalendarStatus(System.Guid clientId, HeuristicLab.Hive.Contracts.BusinessObjects.CalendarState state, System.AsyncCallback callback, object asyncState) {
             return base.Channel.BeginSetCalendarStatus(clientId, state, callback, asyncState);
         }
         
         [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
-        public HeuristicLab.Hive.Client.Communication.ServerService.Response EndSetCalendarStatus(System.IAsyncResult result) {
+        public HeuristicLab.Hive.Contracts.Response EndSetCalendarStatus(System.IAsyncResult result) {
             return base.Channel.EndSetCalendarStatus(result);
         }
@@ -2249,10 +1037,10 @@
         private System.IAsyncResult OnBeginSetCalendarStatus(object[] inValues, System.AsyncCallback callback, object asyncState) {
             System.Guid clientId = ((System.Guid)(inValues[0]));
-            HeuristicLab.Hive.Client.Communication.ServerService.CalendarState state = ((HeuristicLab.Hive.Client.Communication.ServerService.CalendarState)(inValues[1]));
+            HeuristicLab.Hive.Contracts.BusinessObjects.CalendarState state = ((HeuristicLab.Hive.Contracts.BusinessObjects.CalendarState)(inValues[1]));
             return this.BeginSetCalendarStatus(clientId, state, callback, asyncState);
         }
         
         private object[] OnEndSetCalendarStatus(System.IAsyncResult result) {
-            HeuristicLab.Hive.Client.Communication.ServerService.Response retVal = this.EndSetCalendarStatus(result);
+            HeuristicLab.Hive.Contracts.Response retVal = this.EndSetCalendarStatus(result);
             return new object[] {
                     retVal};
@@ -2266,9 +1054,9 @@
         }
         
-        public void SetCalendarStatusAsync(System.Guid clientId, HeuristicLab.Hive.Client.Communication.ServerService.CalendarState state) {
+        public void SetCalendarStatusAsync(System.Guid clientId, HeuristicLab.Hive.Contracts.BusinessObjects.CalendarState state) {
             this.SetCalendarStatusAsync(clientId, state, null);
         }
         
-        public void SetCalendarStatusAsync(System.Guid clientId, HeuristicLab.Hive.Client.Communication.ServerService.CalendarState state, object userState) {
+        public void SetCalendarStatusAsync(System.Guid clientId, HeuristicLab.Hive.Contracts.BusinessObjects.CalendarState state, object userState) {
             if ((this.onBeginSetCalendarStatusDelegate == null)) {
                 this.onBeginSetCalendarStatusDelegate = new BeginOperationDelegate(this.OnBeginSetCalendarStatus);
@@ -2335,10 +1123,10 @@
         }
         
-        public System.IO.Stream SendStreamedPlugins(HeuristicLab.Hive.Client.Communication.ServerService.HivePluginInfoDto[] pluginList) {
+        public System.IO.Stream SendStreamedPlugins(HeuristicLab.Hive.Contracts.BusinessObjects.HivePluginInfoDto[] pluginList) {
             return base.Channel.SendStreamedPlugins(pluginList);
         }
         
         [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
-        public System.IAsyncResult BeginSendStreamedPlugins(HeuristicLab.Hive.Client.Communication.ServerService.HivePluginInfoDto[] pluginList, System.AsyncCallback callback, object asyncState) {
+        public System.IAsyncResult BeginSendStreamedPlugins(HeuristicLab.Hive.Contracts.BusinessObjects.HivePluginInfoDto[] pluginList, System.AsyncCallback callback, object asyncState) {
             return base.Channel.BeginSendStreamedPlugins(pluginList, callback, asyncState);
         }
@@ -2350,5 +1138,5 @@
         
         private System.IAsyncResult OnBeginSendStreamedPlugins(object[] inValues, System.AsyncCallback callback, object asyncState) {
-            HeuristicLab.Hive.Client.Communication.ServerService.HivePluginInfoDto[] pluginList = ((HeuristicLab.Hive.Client.Communication.ServerService.HivePluginInfoDto[])(inValues[0]));
+            HeuristicLab.Hive.Contracts.BusinessObjects.HivePluginInfoDto[] pluginList = ((HeuristicLab.Hive.Contracts.BusinessObjects.HivePluginInfoDto[])(inValues[0]));
             return this.BeginSendStreamedPlugins(pluginList, callback, asyncState);
         }
@@ -2367,9 +1155,9 @@
         }
         
-        public void SendStreamedPluginsAsync(HeuristicLab.Hive.Client.Communication.ServerService.HivePluginInfoDto[] pluginList) {
+        public void SendStreamedPluginsAsync(HeuristicLab.Hive.Contracts.BusinessObjects.HivePluginInfoDto[] pluginList) {
             this.SendStreamedPluginsAsync(pluginList, null);
         }
         
-        public void SendStreamedPluginsAsync(HeuristicLab.Hive.Client.Communication.ServerService.HivePluginInfoDto[] pluginList, object userState) {
+        public void SendStreamedPluginsAsync(HeuristicLab.Hive.Contracts.BusinessObjects.HivePluginInfoDto[] pluginList, object userState) {
             if ((this.onBeginSendStreamedPluginsDelegate == null)) {
                 this.onBeginSendStreamedPluginsDelegate = new BeginOperationDelegate(this.OnBeginSendStreamedPlugins);
@@ -2385,5 +1173,5 @@
         }
         
-        public HeuristicLab.Hive.Client.Communication.ServerService.ResponseResultReceived StoreFinishedJobResultStreamed(System.IO.Stream stream) {
+        public HeuristicLab.Hive.Contracts.ResponseResultReceived StoreFinishedJobResultStreamed(System.IO.Stream stream) {
             return base.Channel.StoreFinishedJobResultStreamed(stream);
         }
@@ -2395,5 +1183,5 @@
         
         [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
-        public HeuristicLab.Hive.Client.Communication.ServerService.ResponseResultReceived EndStoreFinishedJobResultStreamed(System.IAsyncResult result) {
+        public HeuristicLab.Hive.Contracts.ResponseResultReceived EndStoreFinishedJobResultStreamed(System.IAsyncResult result) {
             return base.Channel.EndStoreFinishedJobResultStreamed(result);
         }
@@ -2405,5 +1193,5 @@
         
         private object[] OnEndStoreFinishedJobResultStreamed(System.IAsyncResult result) {
-            HeuristicLab.Hive.Client.Communication.ServerService.ResponseResultReceived retVal = this.EndStoreFinishedJobResultStreamed(result);
+            HeuristicLab.Hive.Contracts.ResponseResultReceived retVal = this.EndStoreFinishedJobResultStreamed(result);
             return new object[] {
                     retVal};
@@ -2435,5 +1223,5 @@
         }
         
-        public HeuristicLab.Hive.Client.Communication.ServerService.ResponseResultReceived ProcessSnapshotStreamed(System.IO.Stream stream) {
+        public HeuristicLab.Hive.Contracts.ResponseResultReceived ProcessSnapshotStreamed(System.IO.Stream stream) {
             return base.Channel.ProcessSnapshotStreamed(stream);
         }
@@ -2445,5 +1233,5 @@
         
         [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
-        public HeuristicLab.Hive.Client.Communication.ServerService.ResponseResultReceived EndProcessSnapshotStreamed(System.IAsyncResult result) {
+        public HeuristicLab.Hive.Contracts.ResponseResultReceived EndProcessSnapshotStreamed(System.IAsyncResult result) {
             return base.Channel.EndProcessSnapshotStreamed(result);
         }
@@ -2455,5 +1243,5 @@
         
         private object[] OnEndProcessSnapshotStreamed(System.IAsyncResult result) {
-            HeuristicLab.Hive.Client.Communication.ServerService.ResponseResultReceived retVal = this.EndProcessSnapshotStreamed(result);
+            HeuristicLab.Hive.Contracts.ResponseResultReceived retVal = this.EndProcessSnapshotStreamed(result);
             return new object[] {
                     retVal};
Index: branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Communication/3.3/Service References/ServerService/Reference.svcmap
===================================================================
--- branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Communication/3.3/Service References/ServerService/Reference.svcmap	(revision 4105)
+++ branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Communication/3.3/Service References/ServerService/Reference.svcmap	(revision 4107)
@@ -12,4 +12,5 @@
     <GenerateSerializableTypes>true</GenerateSerializableTypes>
     <Serializer>Auto</Serializer>
+    <UseSerializerForFaults>true</UseSerializerForFaults>
     <ReferenceAllAssemblies>true</ReferenceAllAssemblies>
     <ReferencedAssemblies />
@@ -18,17 +19,17 @@
   </ClientOptions>
   <MetadataSources>
-    <MetadataSource Address="net.tcp://10.0.0.52:9000/HiveServer/mex" Protocol="mex" SourceId="1" />
+    <MetadataSource Address="net.tcp://10.42.1.153:9000/HiveServer/mex" Protocol="mex" SourceId="1" />
   </MetadataSources>
   <Metadata>
-    <MetadataFile FileName="service1.wsdl" MetadataType="Wsdl" ID="43f7abbb-1069-4460-b195-ca2cfad87502" SourceId="1" SourceUrl="net.tcp://10.0.0.52:9000/HiveServer/mex" />
-    <MetadataFile FileName="service2.xsd" MetadataType="Schema" ID="09a3b5fd-0200-4134-8cb5-ff0716494b94" SourceId="1" SourceUrl="net.tcp://10.0.0.52:9000/HiveServer/mex" />
-    <MetadataFile FileName="service3.xsd" MetadataType="Schema" ID="18c6d1c6-fb6b-4748-9cfb-e28ad6f1f524" SourceId="1" SourceUrl="net.tcp://10.0.0.52:9000/HiveServer/mex" />
-    <MetadataFile FileName="HeuristicLab.Hive.Contracts.BusinessObjects1.xsd" MetadataType="Schema" ID="f18d1d1a-53c9-43d9-8667-1e3d3c309a26" SourceId="1" SourceUrl="net.tcp://10.0.0.52:9000/HiveServer/mex" />
-    <MetadataFile FileName="HeuristicLab.DataAccess1.xsd" MetadataType="Schema" ID="8e533766-2123-4ac5-8c82-b952d5fb6f93" SourceId="1" SourceUrl="net.tcp://10.0.0.52:9000/HiveServer/mex" />
-    <MetadataFile FileName="HeuristicLab.Hive.Contracts1.xsd" MetadataType="Schema" ID="a9f321b3-f525-4e81-8c9a-45f99e4add67" SourceId="1" SourceUrl="net.tcp://10.0.0.52:9000/HiveServer/mex" />
-    <MetadataFile FileName="Arrays1.xsd" MetadataType="Schema" ID="bf61ad21-e8ff-49de-984d-bc1d09a4b367" SourceId="1" SourceUrl="net.tcp://10.0.0.52:9000/HiveServer/mex" />
-    <MetadataFile FileName="System1.xsd" MetadataType="Schema" ID="49213872-cd85-42dc-a191-d1db4c0681e6" SourceId="1" SourceUrl="net.tcp://10.0.0.52:9000/HiveServer/mex" />
-    <MetadataFile FileName="HeuristicLab.PluginInfrastructure2.xsd" MetadataType="Schema" ID="dd25c7c9-6881-4201-927d-11dada59c94e" SourceId="1" SourceUrl="net.tcp://10.0.0.52:9000/HiveServer/mex" />
-    <MetadataFile FileName="Message1.xsd" MetadataType="Schema" ID="e6a864c6-eb46-42ab-a431-2ac11273fb64" SourceId="1" SourceUrl="net.tcp://10.0.0.52:9000/HiveServer/mex" />
+    <MetadataFile FileName="service1.wsdl" MetadataType="Wsdl" ID="03ab6bc6-4c88-4e1f-8d59-3f52f2942db4" SourceId="1" SourceUrl="net.tcp://10.42.1.153:9000/HiveServer/mex" />
+    <MetadataFile FileName="service2.xsd" MetadataType="Schema" ID="51e801d0-81c2-4b13-b430-c177265c3333" SourceId="1" SourceUrl="net.tcp://10.42.1.153:9000/HiveServer/mex" />
+    <MetadataFile FileName="service3.xsd" MetadataType="Schema" ID="e8e86f83-8c65-4364-a203-c7b20d29ac40" SourceId="1" SourceUrl="net.tcp://10.42.1.153:9000/HiveServer/mex" />
+    <MetadataFile FileName="HeuristicLab.Hive.Contracts.BusinessObjects1.xsd" MetadataType="Schema" ID="249326e6-36f3-421b-927e-ca9b7bedfdb5" SourceId="1" SourceUrl="net.tcp://10.42.1.153:9000/HiveServer/mex" />
+    <MetadataFile FileName="HeuristicLab.DataAccess1.xsd" MetadataType="Schema" ID="5e0b464e-8324-4e2e-bbed-da3c79943457" SourceId="1" SourceUrl="net.tcp://10.42.1.153:9000/HiveServer/mex" />
+    <MetadataFile FileName="HeuristicLab.Hive.Contracts1.xsd" MetadataType="Schema" ID="0e2228b1-c9aa-4a6c-99ef-dbdcf6c563d9" SourceId="1" SourceUrl="net.tcp://10.42.1.153:9000/HiveServer/mex" />
+    <MetadataFile FileName="Arrays1.xsd" MetadataType="Schema" ID="0537e276-0286-4f2d-a565-616bf77a9e75" SourceId="1" SourceUrl="net.tcp://10.42.1.153:9000/HiveServer/mex" />
+    <MetadataFile FileName="System1.xsd" MetadataType="Schema" ID="27a70b20-97c3-47b5-a35c-767183544bc7" SourceId="1" SourceUrl="net.tcp://10.42.1.153:9000/HiveServer/mex" />
+    <MetadataFile FileName="HeuristicLab.PluginInfrastructure2.xsd" MetadataType="Schema" ID="af9a77d2-d649-4bb6-bf18-f1b3ba4d594a" SourceId="1" SourceUrl="net.tcp://10.42.1.153:9000/HiveServer/mex" />
+    <MetadataFile FileName="Message1.xsd" MetadataType="Schema" ID="e9066a85-9edd-4f73-a792-4b932bdb9e59" SourceId="1" SourceUrl="net.tcp://10.42.1.153:9000/HiveServer/mex" />
   </Metadata>
   <Extensions>
Index: branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Communication/3.3/Service References/ServerService/System1.xsd
===================================================================
--- branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Communication/3.3/Service References/ServerService/System1.xsd	(revision 4105)
+++ branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Communication/3.3/Service References/ServerService/System1.xsd	(revision 4107)
@@ -1,5 +1,14 @@
 ﻿<?xml version="1.0" encoding="utf-8"?>
-<xs:schema xmlns:tns="http://schemas.datacontract.org/2004/07/System" xmlns:ser="http://schemas.microsoft.com/2003/10/Serialization/" elementFormDefault="qualified" targetNamespace="http://schemas.datacontract.org/2004/07/System" xmlns:xs="http://www.w3.org/2001/XMLSchema">
+<xs:schema xmlns:ser="http://schemas.microsoft.com/2003/10/Serialization/" xmlns:tns="http://schemas.datacontract.org/2004/07/System" elementFormDefault="qualified" targetNamespace="http://schemas.datacontract.org/2004/07/System" xmlns:xs="http://www.w3.org/2001/XMLSchema">
   <xs:import namespace="http://schemas.microsoft.com/2003/10/Serialization/" />
+  <xs:complexType name="Version">
+    <xs:sequence>
+      <xs:element name="_Build" type="xs:int" />
+      <xs:element name="_Major" type="xs:int" />
+      <xs:element name="_Minor" type="xs:int" />
+      <xs:element name="_Revision" type="xs:int" />
+    </xs:sequence>
+  </xs:complexType>
+  <xs:element name="Version" nillable="true" type="tns:Version" />
   <xs:complexType name="Exception">
     <xs:sequence>
